/*
 * Copyright (C) 2018-2019 Eliastik (eliastiksofts.com)
 *
 * This file is part of "La boîte à Emmanuel Macron".
 *
 * "La boîte à Emmanuel Macron" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * "La boîte à Emmanuel Macron" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with "La boîte à Emmanuel Macron".  If not, see <http://www.gnu.org/licenses/>.
 */

var filesDownloadName = "macron";
var checkFullEnabled = false;
var checkFullImg = ["", ""];
var imgArray = [
    ["assets/img/perlimpinpin.gif", 1722367]
]; // images to be loaded when launching the app + size
var audioArray = ["assets/sounds/perlimpinpin.mp3", "assets/sounds/impulse_response.wav", "assets/sounds/modulator.mp3", "assets/sounds/projet.mp3", "assets/sounds/ohmerde.mp3", "assets/sounds/carabistouilles.mp3", "assets/sounds/gaulois.mp3", "assets/sounds/traverse.mp3", "assets/sounds/faineants.mp3", "assets/sounds/costard.mp3", "assets/sounds/rien.mp3", "assets/sounds/vive.mp3", "assets/sounds/bordel.mp3", "assets/sounds/pognon.mp3", "assets/sounds/chercher.mp3", "assets/sounds/tape.mp3", "assets/sounds/guerre.mp3", "assets/sounds/claque.mp3", "assets/sounds/finito.mp3"]; // audio to be loaded when launching the app

var soundBoxList = [ // sound name - path to the sound - path to the animation - size of the animation (bytes)
    ["La poudre de perlimpinpin", "assets/sounds/perlimpinpin.mp3", "assets/img/perlimpinpin.gif", 1722367],
    ["C'est notre projet !", "assets/sounds/projet.mp3", "assets/img/projet.gif", 2747816],
    ["Oh merde !", "assets/sounds/ohmerde.mp3", "assets/img/ohmerde.gif", 3589840],
    ["Carabistouilles", "assets/sounds/carabistouilles.mp3", "assets/img/carabistouilles.gif", 4329720],
    ["Gaulois réfractaires", "assets/sounds/gaulois.mp3", "assets/img/gaulois.gif", 1900996],
    ["Je traverse la rue", "assets/sounds/traverse.mp3", "assets/img/traverse.gif", 1486761],
    ["Fainéants", "assets/sounds/faineants.mp3", "assets/img/faineants.gif", 4026356],
    ["Se payer un costard", "assets/sounds/costard.mp3", "assets/img/costard.gif", 1525456],
    ["Les gens qui ne sont rien", "assets/sounds/rien.mp3", "assets/img/rien.gif", 3247131],
    ["Foutre le bordel", "assets/sounds/bordel.mp3", "assets/img/bordel.gif", 4233022],
    ["Pognon de dingue", "assets/sounds/pognon.mp3", "assets/img/pognon.gif", 5806203],
    ["Qu'ils viennent me chercher", "assets/sounds/chercher.mp3", "assets/img/chercher.gif", 5048015],
    ["Nous sommes en guerre", "assets/sounds/guerre.mp3", "assets/img/guerre.gif", 1550663],
    ["Vive la République !", "assets/sounds/vive.mp3", "assets/img/vive.gif", 1932772],
    ["Tape sur la table", "assets/sounds/tape.mp3", "assets/img/tape.gif", 952851],
    ["La claque", "assets/sounds/claque.mp3", "assets/img/claque.gif", 770902],
    ["Finito", "assets/sounds/finito.mp3", "assets/img/finito.gif", 914888]
];
